Subject: Re: [PATCH v2] scripts: get_maintainer: steer people away from using file paths

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 11:48:17 -0700

On Wed, 26 Jul 2023 11:29:44 -0700 Linus Torvalds wrote:
> On Wed, 26 Jul 2023 at 11:20, Jakub Kicinski <[email-masked]> wrote:
> >
> > You are special,  
> 
> So my mother tells me.
> 
> > you presumably use it to find who to report
> > regressions to, and who to pull into conversations.  
> 
> Yes. So what happens is that I get cc'd on bug reports for various
> issues, and particularly for oops reports I basically have a function
> name to grep for (maybe a pathname if it went through the full
> decoding).
> 
> I'm NOT interested in having to either remember all people off-hand,
> or going through the MAINTAINERS file by hand.
> 
> > This tool is primarily used by _developers_ to find _maintainers_.  
> 
> Well, maybe.
> 
> But even if that is true, I don't see why you hate the pathname thing
> even for that case. I bet developers use it for that exact same
> reason, ie they are modifying a file, and they go "I want to know who
> the maintainer for this file is".

I don't hate the file path, I say as much in the commit msg:

  The file option should really not be used by inexperienced developers,
  unless they are just trying to find a maintainer to manually contact.

I'd love to make it easier to use for people who know what they're
doing. Maybe check for a magic file in the tree, listed in .gitignore?
Feels dirty. Create a separate script "blame_maintainer.sh" which just
calls get_maintainer but tosses in --silence-file-warning -f ?

> I do not understand why you think a patch is somehow magically more
> important or relevant than a filename.

Judging by traffic on the ML vast majority of the submissions are
patches, not random reach outs and conversations. That's why patches
are more important.

We get at least one fix a week where author adds a Fixes tag
but somehow magically didn't CC the author of that commit.
When we ask they usually reply with "but I run get_maintainer -f,
isn't that what I'm supposed to do?".

Then there's people who only run -f on the path where most of 
the changes are, not all the paths.